import matplotlib.pyplot as plt
numargs = genhalflogistic.numargs
[ c ] = [0.9,] * numargs
rv = genhalflogistic(c)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = genhalflogistic.cdf(x, c)
h = plt.semilogy(np.abs(x - genhalflogistic.ppf(prb, c)) + 1e-20)

# Random number generation

R = genhalflogistic.rvs(c, size=100)
